org.gradle.tooling.model

## Interface SourceDirectory

- All Known Subinterfaces:
    EclipseSourceDirectory, IdeaSourceDirectory

      public interface SourceDirectory

  Represents a source directory.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getDirectory()` Returns the source directory.

- - ### Method Detail

    - #### getDirectory

          File getDirectory()

      Returns the source directory.
      Returns:
        The source directory.